%global snapshot 2a6a72d74c2fa96f5ed246459b4a259e3e7fa35c
%global YYYYmmdd 20120621
%global shorttag %(cut -c 1-7 <<<%{snapshot})
%global checkout %{YYYYmmdd}git%{shorttag}

Name:           java-deptools
Version:        0
Release:        0.2.%{checkout}%{?dist}
Summary:        Java RPM dependency tools
Group:          Development/Tools
BuildArch:      noarch

License:        ASL 2.0
URL:            http://git.fedorahosted.org/git/?p=java-deptools.git
Source0:        http://git.fedorahosted.org/git/?p=java-deptools.git;a=snapshot;h=%{snapshot};sf=tbz2;foo=/%{name}-%{version}.tar.bz2

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-jar-plugin

BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-compress
BuildRequires:  apache-commons-lang
BuildRequires:  bcel
BuildRequires:  xz-java

Requires:       java
Requires:       jpackage-utils
Requires:       apache-commons-cli
Requires:       apache-commons-compress
Requires:       apache-commons-lang
Requires:       bcel
Requires:       xz-java

%description
This package provides tools for tracking dependencies
between Java packages in RPM-based distributions.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{shorttag}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jar
install -dm 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
install -dm 755 %{buildroot}%{_javadocdir}
cp -R target/site/apidocs %{buildroot}%{_javadocdir}/%{name}
# pom
install -dm 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE NOTICE
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}

%changelog
* Fri Jun 22 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.2.20120621git2a6a72d
- Reformat changelog

* Thu Jun 21 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 0-0.1.20120621git2a6a72d
- Initial packaging
